Bug 1206591 - [RFE] Show replication status in IdM Topology Graph
Summary: [RFE] Show replication status in IdM Topology Graph
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On: 1199516
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-27 13:28 UTC by Martin Kosek
Modified: 2018-12-05 19:56 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-05 19:56:42 UTC


Attachments (Terms of Use)

Description Martin Kosek 2015-03-27 13:28:30 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/4390

New page for FreeIPA admins to show basic information about the state of replication agreements.

Basic information can be provided by following:

http://www.port389.org/docs/389ds/howto/howto-replicationmonitoring.html - Example 3.

I extended this to loop through our list of IPA servers and show the state of each of their replication agreements.

It's a simple page that actually provides essential information when things are going wrong.

Showing this information through the FreeIPA WebUI would be a benefit to users who have built their own hooks to do the same.

Comment 1 Martin Kosek 2015-05-21 13:10:16 UTC
During implementation phase, it was found out that this feature cannot be done currently, without bigger changes in DS replication plugin and fell out of scope of FreeIPA 4.2 release - it will be thus postponed.

Details in https://fedorahosted.org/freeipa/ticket/4390#comment:8.

Comment 2 Martin Kosek 2016-06-10 08:21:05 UTC
The FreeIPA project preference would be to show the replication status in the Topology Graph. There is a new (WIP) design page being composed in
http://www.freeipa.org/page/V4/Monitor_Replication_Topology

The feature may be considered in FreeIPA 4.5.

Comment 3 Duncan Innes 2016-10-24 13:56:22 UTC
As the user who created the original Trac ticket, I would love to see this come off the Backlog for 4.5.

The one thing that we could not get from our IPA implementation was an overall view of health.  Some way to see which replication agreements were functioning/failed/problematic.  Some way to see which replicas were up to date and which ones were no longer in touch.  Both of these things are good to be able to see as there may be failed replication links, but the overall replication status is still good due to other replication routes covering the requirements.

Comment 5 Rob Crittenden 2018-12-05 19:56:42 UTC
Thank you taking your time and submitting this request for Red Hat Enterprise Linux. The request was cloned to the upstream tracker a long time ago (see link to the upstream ticket above), but it was unfortunately not given priority either in the upstream project, nor in Red Hat Enterprise Linux.

Given that this request is not planned for a close release, it is highly unlikely it will be fixed in this major version of Red Hat Enterprise Linux. We are therefore closing the request as WONTFIX.

To request that Red Hat reconsiders the decision, please reopen the Bugzilla with the help of Red Hat Customer Service and provide additional business and/or technical details about it's importance to you. Please note that you can still track this request or even offer help in the referred upstream Pagure ticket to expedite the solution.


Note You need to log in before you can comment on or make changes to this bug.